.step-progress {
	display:flex;

	.circle-container {
		display: flex;
		align-items: center;

		&:not(.last) {
			flex-grow:1;
		}

		&.active {
			.out-circle {
				background-color:#d900b6;
				color:#d900b6;
			}
		}

		.out-circle {
			display:flex;
			align-items: center;
			justify-content: center;
			width:40px;
			height:40px;
			background-color:#d900b6;
			border-radius:100%;
			background-color:#f2f2f2;
			color:#f2f2f2;

			& .in-circle {
				position: relative;
				display:flex;
				align-items: center;
				justify-content: center;
				width:33px;
				height:33px;
				border-radius:100%;
				background-color:#fefefe;
				font-weight:bold;

			}

		}

		.progress {
			width:80%;
			height:7px;
			background-color:#f2f2f2;
			
			&.active {
				background-color: #d900b6;
			}

			&.hide {
				display:none;
			}

		}

	}

}